import { Instruction } from './bytecode-generator/instruction';
import { HandlerContainer } from './handler-container';
import { Context } from './bytecode-generator/context';
export interface BytecodeCompileResult {
    code: Instruction[];
    imports: Map<string, Instruction[]>;
}
export interface BytecodeConverterOptions {
    target: string;
    handler: HandlerContainer;
    debugMode?: boolean;
}
export declare class BytecodeGenerator {
    protected handler: HandlerContainer;
    protected context: Context;
    constructor(options: BytecodeConverterOptions);
    compile(code: string): Promise<BytecodeCompileResult>;
}
