import { HandlerContainer } from '../handler-container';
import { Stack } from '../utils/stack';
import { Instruction } from './instruction';
import { Module } from './module';
export interface ContextOptions {
    target: string;
    handler: HandlerContainer;
    debugMode?: boolean;
}
export declare class Context {
    private _target;
    private _handler;
    private _module;
    private _debugMode;
    private _imports;
    constructor(options: ContextOptions);
    get target(): Stack<string>;
    get module(): Stack<Module>;
    get handler(): HandlerContainer;
    get imports(): Map<string, Instruction[]>;
    isDebugMode(): boolean;
}
